// MyDlg.h : header file
//

#if !defined(AFX_MYDLG_H__6B738010_D844_4F8A_B9F9_7DF3071438AF__INCLUDED_)
#define AFX_MYDLG_H__6B738010_D844_4F8A_B9F9_7DF3071438AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMyDlg dialog

class CMyDlg : public CExtNCW < CExtResizableDialog >
{
// Construction
public:
	CMyDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMyDlg)
	enum { IDD = IDD_FORMARIANNE_DIALOG };
	CExtCheckBox	m_chkColorize;
	CExtButton		m_btnPreview;
	CExtButton		m_btnOK;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	class CMyGridWnd : public CExtNSB < CExtPPVW < CExtGridWnd > >
	{
	protected:
		HWND m_hWndStaticBeforeH, m_hWndStaticAfterH, m_hWndStaticBeforeV, m_hWndStaticAfterV;
	public:
		CExtPaintManager m_PM;
		bool m_bColorizedMode:1;
		CMyGridWnd()
			: m_bColorizedMode( false )
			, m_hWndStaticBeforeH( NULL )
			, m_hWndStaticAfterH( NULL )
			, m_hWndStaticBeforeV( NULL )
			, m_hWndStaticAfterV( NULL )
		{
			m_PM.SyncSysColors();
			m_PM.InitTranslatedColors();
			m_PM.InitHelperBrushes();
		}
		virtual ~CMyGridWnd()
		{
		}
		CExtPaintManager * PmBridge_GetPM() const
		{
			ASSERT_VALID( this );
			if( m_bColorizedMode )
				return (CExtPaintManager*)(&m_PM);
			else
				return CExtNSB < CExtPPVW < CExtGridWnd > > :: PmBridge_GetPM();
		}
		virtual void OnGbwEraseArea(
			CDC & dc,
			const RECT & rcArea,
			DWORD dwAreaFlags
			) const
		{
			if( ! m_bColorizedMode )
			{
				CExtNSB < CExtPPVW < CExtGridWnd > > :: OnGbwEraseArea( dc, rcArea, dwAreaFlags );
				return;
			}
			ASSERT_VALID( this );
			ASSERT( dc.GetSafeHdc() != NULL );
			COLORREF clrDebugFill = COLORREF( -1L );
			switch( dwAreaFlags )
			{
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_TOP:							clrDebugFill = RGB( 255, 128, 128 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_BOTTOM:						clrDebugFill = RGB( 128, 255, 128 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_LEFT:						clrDebugFill = RGB( 128, 128, 255 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_RIGHT:						clrDebugFill = RGB( 128, 255, 255 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_LEFT|__EGBWA_OUTER_TOP:		clrDebugFill = RGB( 255, 128, 255 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_LEFT|__EGBWA_OUTER_BOTTOM:	clrDebugFill = RGB( 255, 255, 128 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_RIGHT|__EGBWA_OUTER_TOP:		clrDebugFill = RGB( 255, 255, 128 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_RIGHT|__EGBWA_OUTER_BOTTOM:	clrDebugFill = RGB( 128, 128, 128 ); break;

			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_TOP|__EGBWA_FROZEN_AREA_LEFT:					clrDebugFill = RGB( 255, 164, 164 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_TOP|__EGBWA_FROZEN_AREA_RIGHT:					clrDebugFill = RGB( 255, 164, 164 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_BOTTOM|__EGBWA_FROZEN_AREA_LEFT:					clrDebugFill = RGB( 164, 255, 164 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_BOTTOM|__EGBWA_FROZEN_AREA_RIGHT:				clrDebugFill = RGB( 164, 255, 164 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_LEFT|__EGBWA_FROZEN_AREA_TOP:					clrDebugFill = RGB( 164, 164, 255 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_LEFT|__EGBWA_FROZEN_AREA_BOTTOM:					clrDebugFill = RGB( 164, 164, 255 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_RIGHT|__EGBWA_FROZEN_AREA_TOP:					clrDebugFill = RGB( 164, 255, 255 ); break;
			case __EGBWA_OUTER_CELLS|__EGBWA_OUTER_RIGHT|__EGBWA_FROZEN_AREA_BOTTOM:				clrDebugFill = RGB( 164, 255, 255 ); break;

			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_TOP:								clrDebugFill = RGB( 255, 196, 196 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_BOTTOM:							clrDebugFill = RGB( 196, 255, 196 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_LEFT:								clrDebugFill = RGB( 196, 196, 255 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_RIGHT:								clrDebugFill = RGB( 196, 255, 255 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_LEFT|__EGBWA_FROZEN_AREA_TOP:		clrDebugFill = RGB( 255, 196, 255 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_LEFT|__EGBWA_FROZEN_AREA_BOTTOM:	clrDebugFill = RGB( 255, 255, 196 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_RIGHT|__EGBWA_FROZEN_AREA_TOP:		clrDebugFill = RGB( 255, 255, 196 ); break;
			case __EGBWA_INNER_CELLS|__EGBWA_FROZEN_AREA_RIGHT|__EGBWA_FROZEN_AREA_BOTTOM:	clrDebugFill = RGB( 196, 196, 196 ); break;
			case __EGBWA_INNER_CELLS:											clrDebugFill = RGB( 255, 255, 224 ); break;
			default:															clrDebugFill = RGB( 255, 0, 0 ); break;
			} // switch( dwAreaFlags )
			if( clrDebugFill != COLORREF( -1L ) )
			{
				dc.FillSolidRect( &rcArea, clrDebugFill );
				return;
			}
		}
	protected:
		virtual void PreSubclassWindow()
		{
			m_hWndStaticBeforeH = m_hWndStaticAfterH = m_hWndStaticBeforeV = m_hWndStaticAfterV = NULL;
			CExtNSB < CExtPPVW < CExtGridWnd > > :: PreSubclassWindow();
		}
		virtual void PostNcDestroy()
		{
			m_hWndStaticBeforeH = m_hWndStaticAfterH = m_hWndStaticBeforeV = m_hWndStaticAfterV = NULL;
			CExtNSB < CExtPPVW < CExtGridWnd > > :: PostNcDestroy();
		}
		virtual void _ReAlignFrozenSpaceNearScrollBars()
		{
			ASSERT_VALID( this );
			if( GetSafeHwnd() == NULL )
				return;
			CRect rcRealClient, rcScrollable = OnSwGetClientRect(), rcFrozenRange = OnSiwGetFrozenRange();
			GetClientRect( &rcRealClient );
			ASSERT( rcFrozenRange.top >= 0 && rcFrozenRange.bottom >= 0 && rcFrozenRange.left >= 0 && rcFrozenRange.right >= 0 );
			CScrollBar * pSB = GetScrollBarCtrl( SB_HORZ );
			if( pSB != NULL )
			{
				CExtScrollBar * pExtSB = DYNAMIC_DOWNCAST( CExtScrollBar, pSB );
				if( pExtSB != NULL )
				{
					bool bHaveSB = ( OnSwHasScrollBar( SB_HORZ ) && ( pSB->GetStyle() & WS_VISIBLE ) != 0 && pSB->IsWindowEnabled() ) ? true : false;
					CRect rcScrollBarReal;
					pExtSB->GetWindowRect( &rcScrollBarReal );
					ScreenToClient( &rcScrollBarReal );
					CRect rcScrollBarDesired( rcScrollBarReal );
					//if( pExtSB->m_hWndBefore != NULL && pExtSB->m_hWndBefore == m_hWndStaticBeforeH )
					if( m_hWndStaticBeforeH != NULL )
					{
						CRect rcStaticReal;
						::GetWindowRect( m_hWndStaticBeforeH, &rcStaticReal );
						ScreenToClient( &rcStaticReal );
						CRect rcStaticDesired( 0, 0, 0, 0 );
						if( bHaveSB )
						{
							rcStaticDesired = rcStaticReal;
							rcStaticDesired.top = rcScrollBarReal.top;
							rcStaticDesired.bottom = rcScrollBarReal.bottom;
							if( rcFrozenRange.left > 0 && ( ! m_rcFrozenL.IsRectEmpty() ) )
							{
								rcStaticDesired.left = rcRealClient.left; // m_rcFrozenL.left;
								rcScrollBarDesired.left = rcStaticDesired.right = rcScrollable.left; // m_rcFrozenL.right;
							}
						}
						if( rcStaticReal != rcStaticDesired )
						{
							if( rcStaticDesired.IsRectEmpty() )
							{
								::ShowWindow( m_hWndStaticBeforeH, SW_HIDE );
							}
							else
							{
								::MoveWindow( m_hWndStaticBeforeH, rcStaticDesired.left, rcStaticDesired.top, rcStaticDesired.Width(), rcStaticDesired.Height(), TRUE );
								::ShowWindow( m_hWndStaticBeforeH, SW_SHOWNOACTIVATE );
								::UpdateWindow( m_hWndStaticBeforeH );
							}
						}
					}
					//if( pExtSB->m_hWndAfter != NULL && pExtSB->m_hWndAfter == m_hWndStaticAfterH )
					if( m_hWndStaticAfterH != NULL )
					{
						CRect rcStaticReal;
						::GetWindowRect( m_hWndStaticAfterH, &rcStaticReal );
						ScreenToClient( &rcStaticReal );
						CRect rcStaticDesired( 0, 0, 0, 0 );
						if( bHaveSB )
						{
							rcStaticDesired = rcStaticReal;
							rcStaticDesired.top = rcScrollBarReal.top;
							rcStaticDesired.bottom = rcScrollBarReal.bottom;
							if( rcFrozenRange.right > 0 && ( ! m_rcFrozenR.IsRectEmpty() ) )
							{
								rcScrollBarDesired.right = rcStaticDesired.left = rcScrollable.right; // m_rcFrozenR.left;
								rcStaticDesired.right = rcRealClient.right; // m_rcFrozenR.right;
							}
						}
						if( rcStaticReal != rcStaticDesired )
						{
							if( rcStaticDesired.IsRectEmpty() )
							{
								::ShowWindow( m_hWndStaticAfterH, SW_HIDE );
							}
							else
							{
								::MoveWindow( m_hWndStaticAfterH, rcStaticDesired.left, rcStaticDesired.top, rcStaticDesired.Width(), rcStaticDesired.Height(), TRUE );
								::ShowWindow( m_hWndStaticAfterH, SW_SHOWNOACTIVATE );
								::UpdateWindow( m_hWndStaticAfterH );
							}
						}
					}
					if( rcScrollBarReal != rcScrollBarDesired )
					{
						pExtSB->MoveWindow( &rcScrollBarDesired );
						pExtSB->UpdateWindow();
					}
				} // if( pExtSB != NULL )
			} // if( pSB != NULL )
			pSB = GetScrollBarCtrl( SB_VERT );
			if( pSB != NULL )
			{
				CExtScrollBar * pExtSB = DYNAMIC_DOWNCAST( CExtScrollBar, pSB );
				if( pExtSB != NULL )
				{
					bool bHaveSB = ( OnSwHasScrollBar( SB_VERT ) && ( pSB->GetStyle() & WS_VISIBLE ) != 0 && pSB->IsWindowEnabled() ) ? true : false;
					CRect rcScrollBarReal;
					pExtSB->GetWindowRect( &rcScrollBarReal );
					ScreenToClient( &rcScrollBarReal );
					CRect rcScrollBarDesired( rcScrollBarReal );
					//if( pExtSB->m_hWndBefore != NULL && pExtSB->m_hWndBefore == m_hWndStaticBeforeV )
					if( m_hWndStaticBeforeV != NULL )
					{
						CRect rcStaticReal;
						::GetWindowRect( m_hWndStaticBeforeV, &rcStaticReal );
						ScreenToClient( &rcStaticReal );
						CRect rcStaticDesired( 0, 0, 0, 0 );
						if( bHaveSB )
						{
							rcStaticDesired = rcStaticReal;
							rcStaticDesired.left = rcScrollBarReal.left;
							rcStaticDesired.right = rcScrollBarReal.right;
							if( rcFrozenRange.top > 0 && ( ! m_rcFrozenT.IsRectEmpty() ) )
							{
								rcStaticDesired.top = rcRealClient.top; //m_rcFrozenT.top;
								rcScrollBarDesired.top = rcStaticDesired.bottom = rcScrollable.top; // m_rcFrozenT.bottom;
							}
						}
						if( rcStaticReal != rcStaticDesired )
						{
							if( rcStaticDesired.IsRectEmpty() )
							{
								::ShowWindow( m_hWndStaticBeforeV, SW_HIDE );
							}
							else
							{
								::MoveWindow( m_hWndStaticBeforeV, rcStaticDesired.left, rcStaticDesired.top, rcStaticDesired.Width(), rcStaticDesired.Height(), TRUE );
								::ShowWindow( m_hWndStaticBeforeV, SW_SHOWNOACTIVATE );
								::UpdateWindow( m_hWndStaticBeforeV );
							}
						}
					}
					//if( pExtSB->m_hWndAfter != NULL && pExtSB->m_hWndAfter == m_hWndStaticAfterV )
					if( m_hWndStaticAfterV != NULL )
					{
						CRect rcStaticReal;
						::GetWindowRect( m_hWndStaticAfterV, &rcStaticReal );
						ScreenToClient( &rcStaticReal );
						CRect rcStaticDesired( 0, 0, 0, 0 );
						if( bHaveSB )
						{
							rcStaticDesired = rcStaticReal;
							rcStaticDesired.left = rcScrollBarReal.left;
							rcStaticDesired.right = rcScrollBarReal.right;
							if( rcFrozenRange.bottom > 0 && ( ! m_rcFrozenB.IsRectEmpty() ) )
							{
								rcScrollBarDesired.bottom = rcStaticDesired.top = rcScrollable.bottom; // m_rcFrozenB.top;
								rcStaticDesired.bottom = rcRealClient.bottom; // m_rcFrozenB.bottom;
							}
						}
						if( rcStaticReal != rcStaticDesired )
						{
							if( rcStaticDesired.IsRectEmpty() )
							{
								::ShowWindow( m_hWndStaticAfterV, SW_HIDE );
							}
							else
							{
								::MoveWindow( m_hWndStaticAfterV, rcStaticDesired.left, rcStaticDesired.top, rcStaticDesired.Width(), rcStaticDesired.Height(), TRUE );
								::ShowWindow( m_hWndStaticAfterV, SW_SHOWNOACTIVATE );
								::UpdateWindow( m_hWndStaticAfterV );
							}
						}
					}
					if( rcScrollBarReal != rcScrollBarDesired )
					{
						pExtSB->MoveWindow( &rcScrollBarDesired );
						pExtSB->UpdateWindow();
					}
				} // if( pExtSB != NULL )
			} // if( pSB != NULL )
		}
		virtual CRect OnSwRecalcLayout(
			bool bDoLayout,
			LPCRECT pRectClientSrc // = NULL
			)
		{
			ASSERT_VALID( this );
			static const DWORD g_dwStaticWindowStyles = WS_CHILD|WS_VISIBLE|WS_CLIPSIBLINGS|WS_CLIPCHILDREN|SS_LEFT|WS_DISABLED;
			if(		bDoLayout
				&&	(	m_hWndStaticBeforeH == NULL || m_hWndStaticAfterH == NULL
					||	m_hWndStaticBeforeV == NULL || m_hWndStaticAfterV == NULL
					)
				&&	GetSafeHwnd() != NULL
				)
			{
				bool bDoDynamicSubclassing = false;
				if( m_hWndStaticBeforeH == NULL || m_hWndStaticAfterH == NULL )
				{
					CScrollBar * pSB = GetScrollBarCtrl( SB_HORZ );
					if( pSB != NULL )
					{
						CExtScrollBar * pExtSB = DYNAMIC_DOWNCAST( CExtScrollBar, pSB );
						if( pExtSB != NULL )
						{
							if( m_hWndStaticBeforeH == NULL )
							{
								m_hWndStaticBeforeH = ::CreateWindow( _T("STATIC"), _T(""), g_dwStaticWindowStyles, 0, 0, 0, 0, m_hWnd, HMENU(251), ::AfxGetInstanceHandle(), 0L );
								//pExtSB->m_hWndBefore = m_hWndStaticBeforeH;
								bDoDynamicSubclassing = true;
							} // if( m_hWndStaticBeforeH == NULL )
							if( m_hWndStaticAfterH == NULL )
							{
								m_hWndStaticAfterH = ::CreateWindow( _T("STATIC"), _T(""), g_dwStaticWindowStyles, 0, 0, 0, 0, m_hWnd, HMENU(252), ::AfxGetInstanceHandle(), 0L );
								//pExtSB->m_hWndAfter = m_hWndStaticAfterH;
								bDoDynamicSubclassing = true;
							} // if( m_hWndStaticAfterH == NULL )
						} // if( pExtSB != NULL )
					} // if( pSB != NULL )
				} // if( m_hWndStaticBeforeH == NULL || m_hWndStaticAfterH == NULL )
				if( m_hWndStaticBeforeV == NULL || m_hWndStaticAfterV == NULL )
				{
					CScrollBar * pSB = GetScrollBarCtrl( SB_VERT );
					if( pSB != NULL )
					{
						CExtScrollBar * pExtSB = DYNAMIC_DOWNCAST( CExtScrollBar, pSB );
						if( pExtSB != NULL )
						{
							if( m_hWndStaticBeforeV == NULL )
							{
								m_hWndStaticBeforeV = ::CreateWindow( _T("STATIC"), _T(""), g_dwStaticWindowStyles, 0, 0, 0, 0, m_hWnd, HMENU(253), ::AfxGetInstanceHandle(), 0L );
								//pExtSB->m_hWndBefore = m_hWndStaticBeforeV;
								bDoDynamicSubclassing = true;
							} // if( m_hWndStaticBeforeV == NULL )
							if( m_hWndStaticAfterV == NULL )
							{
								m_hWndStaticAfterV = ::CreateWindow( _T("STATIC"), _T(""), g_dwStaticWindowStyles, 0, 0, 0, 0, m_hWnd, HMENU(254), ::AfxGetInstanceHandle(), 0L );
								//pExtSB->m_hWndAfter = m_hWndStaticAfterV;
								bDoDynamicSubclassing = true;
							} // if( m_hWndStaticAfterV == NULL )
						} // if( pExtSB != NULL )
					} // if( pSB != NULL )
				} // if( m_hWndStaticBeforeV == NULL || m_hWndStaticAfterV == NULL )
				if( bDoDynamicSubclassing )
				{
					::SubclassChildControls( m_hWnd );
					//COLORREF clrBk = 255; //g_PaintManager->GetColor( CExtPaintManager::CLR_3DFACE_OUT, this );
					//if( m_hWndStaticBeforeH != NULL )
					//	( STATIC_DOWNCAST( CExtLabel, CWnd::FromHandlePermanent( m_hWndStaticBeforeH ) ) ) ->SetBkColor( clrBk );
					//if( m_hWndStaticAfterH != NULL )
					//	( STATIC_DOWNCAST( CExtLabel, CWnd::FromHandlePermanent( m_hWndStaticAfterH ) ) ) ->SetBkColor( clrBk );
					//if( m_hWndStaticBeforeV != NULL )
					//	( STATIC_DOWNCAST( CExtLabel, CWnd::FromHandlePermanent( m_hWndStaticBeforeV ) ) ) ->SetBkColor( clrBk );
					//if( m_hWndStaticAfterV != NULL )
					//	( STATIC_DOWNCAST( CExtLabel, CWnd::FromHandlePermanent( m_hWndStaticAfterV ) ) ) ->SetBkColor( clrBk );
				}
			} // if( bDoLayout . . .
			CRect rcRetVal = CExtNSB < CExtPPVW < CExtGridWnd > > :: OnSwRecalcLayout( bDoLayout, pRectClientSrc );
			if( bDoLayout )
				_ReAlignFrozenSpaceNearScrollBars();
			return rcRetVal;
		}
		virtual void OnSwInvalidate( bool bErase )
		{
			if( GetSafeHwnd() == NULL )
				return;
			if( ! IsWindowVisible() )
				return;
			CExtNSB < CExtPPVW < CExtGridWnd > > :: OnSwInvalidate( bErase );
			if( m_hWndStaticBeforeH != NULL )
				::InvalidateRect( m_hWndStaticBeforeH, NULL, bErase ? TRUE : FALSE );
			if( m_hWndStaticAfterH != NULL )
				::InvalidateRect( m_hWndStaticAfterH, NULL, bErase ? TRUE : FALSE );
			if( m_hWndStaticBeforeV != NULL )
				::InvalidateRect( m_hWndStaticBeforeV, NULL, bErase ? TRUE : FALSE );
			if( m_hWndStaticAfterV != NULL )
				::InvalidateRect( m_hWndStaticAfterV, NULL, bErase ? TRUE : FALSE );
		}
		virtual void OnSwUpdateWindow()
		{
			if( GetSafeHwnd() == NULL )
				return;
			if( ! IsWindowVisible() )
				return;
			CExtNSB < CExtPPVW < CExtGridWnd > > :: OnSwUpdateWindow();
			if( m_hWndStaticBeforeH != NULL )
				::UpdateWindow( m_hWndStaticBeforeH );
			if( m_hWndStaticAfterH != NULL )
				::UpdateWindow( m_hWndStaticAfterH );
			if( m_hWndStaticBeforeV != NULL )
				::UpdateWindow( m_hWndStaticBeforeV );
			if( m_hWndStaticAfterV != NULL )
				::UpdateWindow( m_hWndStaticAfterV );
		}
		virtual void OnSwDoScrollWindow(
			int xAmount,
			int yAmount,
			LPCRECT lpRect = NULL,
			LPCRECT lpClipRect = NULL
			)
		{
			ASSERT_VALID( this );
			if( GetSafeHwnd() == NULL )
				return;
			CExtNSB < CExtPPVW < CExtGridWnd > > :: OnSwDoScrollWindow( xAmount, yAmount, lpRect, lpClipRect );
			//_ReAlignFrozenSpaceNearScrollBars();
			//OnSwUpdateWindow();
			if( m_hWndStaticBeforeH != NULL )
				::UpdateWindow( m_hWndStaticBeforeH );
			if( m_hWndStaticAfterH != NULL )
				::UpdateWindow( m_hWndStaticAfterH );
			if( m_hWndStaticBeforeV != NULL )
				::UpdateWindow( m_hWndStaticBeforeV );
			if( m_hWndStaticAfterV != NULL )
				::UpdateWindow( m_hWndStaticAfterV );
		}
	}; // class CMyGridWnd
	CMyGridWnd m_wndGrid;

	// Generated message map functions
	//{{AFX_MSG(CMyDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPreview();
	afx_msg void OnCheck1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYDLG_H__6B738010_D844_4F8A_B9F9_7DF3071438AF__INCLUDED_)
